<?php

/**
* @author Sagar Salunkhe
* @since 18 Sep 2015
* @desc System will read this file while deploying custom fields
* @internal  array name should be strictly like "<modulename>Fields"
*/
$AccountsFields = array(
                        array(
                            'name' => 'common_customer_id', 
                            'label' => 'LBL_COMMON_CUSTOMER_ID', 
                            'type' => 'varchar', 
                            'module' => 'Accounts', 
                            'help' => '', 
                            'comment' => '', 
                            'default_value' => NULL, 
                            'max_size' => 11, 
                            'required' => true, 
                            'reportable' => false, 
                            'audited' => true, 
                            'importable' => true, 
                            'duplicate_merge' => false, 
                            'source' => 'custom_fields', 
                            'custom_module' => 'Accounts', 
                            'studio' => true
                        ), 
                        array(
                            'name' => 'country_code_c', 
                            'label' => 'LBL_COUNTRY_CODE', 
                            'type' => 'varchar', 
                            'module' => 'Accounts', 
                            'help' => '', 
                            'comment' => '', 
                            'default_value' => '', 
                            'max_size' => 3, 
                            'required' => false, 
                            'reportable' => false, 
                            'audited' => false, 
                            'importable' => true, 
                            'duplicate_merge' => false, 
                            'source' => 'custom_fields', 
                            'custom_module' => 'Accounts', 
                            'studio' => true
                        ), 
                        array(
                            'name' => 'country_name_c', 
                            'label' => 'LBL_COUNTRY_NAME', 
                            'type' => 'varchar', 
                            'module' => 'Accounts', 
                            'help' => '', 
                            'comment' => '', 
                            'default_value' => '', 
                            'max_size' => 20, 
                            'required' => false, 
                            'reportable' => false, 
                            'audited' => false, 
                            'importable' => true, 
                            'duplicate_merge' => false, 
                            'source' => 'custom_fields', 
                            'custom_module' => 'Accounts', 
                            'studio' => true
                        ), 
                        array(
                            'name' => 'customer_status_code_c', 
                            'label' => 'LBL_CUSTOMER_STATUS_CODE', 
                            'type' => 'radioenum', 
                            'module' => 'Accounts', 
                            'help' => '', 
                            'comment' => '', 
                            'default_value' => 0, 
                            'max_size' => 100, 
                            'required' => false, 
                            'reportable' => false, 
                            'audited' => false, 
                            'importable' => true, 
                            'duplicate_merge' => false, 
                            'source' => 'custom_fields', 
                            'custom_module' => 'Accounts', 
                            'studio' => true, 
                            'options' => 'customer_status_code_list'
                        ), 
                        array(
                            'name' => 'hq_addr_1_c', 
                            'label' => 'LBL_HQ_ADDR_1', 
                            'type' => 'text', 
                            'module' => 'Accounts', 
                            'help' => 'Headquarter Address in Latin Character', 
                            'comment' => 'Headquarter Address in Latin Character', 
                            'default_value' => NULL, 
                            'max_size' => '', 
                            'required' => false, 
                            'reportable' => false, 
                            'audited' => false, 
                            'importable' => true, 
                            'duplicate_merge' => false, 
                            'source' => 'custom_fields', 
                            'custom_module' => 'Accounts', 
                            'studio' => true, 
                            'rows' => '4', 
                            'cols' => '20'
                        ), 
                        array(
                            'name' => 'hq_addr_2_c', 
                            'label' => 'LBL_HQ_ADDR_2', 
                            'type' => 'text', 
                            'module' => 'Accounts', 
                            'help' => 'Headquarter Address in Local Character', 
                            'comment' => 'Headquarter Address in Local Character', 
                            'default_value' => NULL, 
                            'max_size' => '', 
                            'required' => false, 
                            'reportable' => false, 
                            'audited' => false, 
                            'importable' => true, 
                            'duplicate_merge' => false, 
                            'source' => 'custom_fields', 
                            'custom_module' => 'Accounts', 
                            'studio' => true, 
                            'rows' => '4', 
                            'cols' => '20'
                        ), 
                        array(
                            'name' => 'hq_postal_no_c', 
                            'label' => 'LBL_HQ_POSTAL_NO', 
                            'type' => 'varchar', 
                            'module' => 'Accounts', 
                            'help' => '', 
                            'comment' => '', 
                            'default_value' => '', 
                            'max_size' => 9, 
                            'required' => false, 
                            'reportable' => false, 
                            'audited' => false, 
                            'importable' => true, 
                            'duplicate_merge' => false, 
                            'source' => 'custom_fields', 
                            'custom_module' => 'Accounts', 
                            'studio' => true
                        ), 
                        array(
                            'name' => 'name_2_c', 
                            'label' => 'LBL_NAME_2', 
                            'type' => 'varchar', 
                            'module' => 'Accounts', 
                            'help' => 'Corporate name in Local character (Japanese)', 
                            'comment' => 'Corporate name in Local character (Japanese)', 
                            'default_value' => NULL, 
                            'max_size' => 100, 
                            'required' => true, 
                            'reportable' => false, 
                            'audited' => true, 
                            'importable' => true, 
                            'duplicate_merge' => false, 
                            'source' => 'custom_fields', 
                            'custom_module' => 'Accounts', 
                            'studio' => true
                        ), 
                        array(
                            'name' => 'name_3_c', 
                            'label' => 'LBL_NAME_3', 
                            'type' => 'varchar', 
                            'module' => 'Accounts', 
                            'help' => 'Corporate name in Local character (Japanese Katakana)', 
                            'comment' => 'Corporate name in Local character (Japanese Katakana)', 
                            'default_value' => NULL, 
                            'max_size' => 100, 
                            'required' => true, 
                            'reportable' => false, 
                            'audited' => true, 
                            'importable' => true, 
                            'duplicate_merge' => false, 
                            'source' => 'custom_fields', 
                            'custom_module' => 'Accounts', 
                            'studio' => true
                        ), 
                        array(
                            'name' => 'reg_addr_1_c', 
                            'label' => 'LBL_REG_ADDR_1', 
                            'type' => 'text', 
                            'module' => 'Accounts', 
                            'help' => 'Registered Address in Latin Character', 
                            'comment' => 'Registered Address in Latin Character', 
                            'default_value' => '', 
                            'max_size' => '', 
                            'required' => false, 
                            'reportable' => false, 
                            'audited' => false, 
                            'importable' => true, 
                            'duplicate_merge' => false, 
                            'source' => 'custom_fields', 
                            'custom_module' => 'Accounts', 
                            'studio' => true, 
                            'rows' => '4', 
                            'cols' => '20'
                        ), 
                        array(
                            'name' => 'reg_addr_2_c', 
                            'label' => 'LBL_REG_ADDR_2', 
                            'type' => 'text', 
                            'module' => 'Accounts', 
                            'help' => 'Registered Address in Local Character', 
                            'comment' => 'Registered Address in Local Character', 
                            'default_value' => '', 
                            'max_size' => '', 
                            'required' => false, 
                            'reportable' => false, 
                            'audited' => false, 
                            'importable' => true, 
                            'duplicate_merge' => false, 
                            'source' => 'custom_fields', 
                            'custom_module' => 'Accounts', 
                            'studio' => true, 
                            'rows' => '4', 
                            'cols' => '20'
                        ), 
                        array(
                            'name' => 'reg_postal_no_c', 
                            'label' => 'LBL_REG_POSTAL_NO', 
                            'type' => 'varchar', 
                            'module' => 'Accounts', 
                            'help' => '', 
                            'comment' => '', 
                            'default_value' => '', 
                            'max_size' => 9, 
                            'required' => false, 
                            'reportable' => false, 
                            'audited' => false, 
                            'importable' => true, 
                            'duplicate_merge' => false, 
                            'source' => 'custom_fields', 
                            'custom_module' => 'Accounts', 
                            'studio' => true
                        ), 
                        array(
                            'name' => 'vat_no_c', 
                            'label' => 'LBL_VAT_NO', 
                            'type' => 'varchar', 
                            'module' => 'Accounts', 
                            'help' => '', 
                            'comment' => '', 
                            'default_value' => '', 
                            'max_size' => 32, 
                            'required' => false, 
                            'reportable' => false, 
                            'audited' => true, 
                            'importable' => false, 
                            'duplicate_merge' => false, 
                            'source' => 'custom_fields', 
                            'custom_module' => 'Accounts', 
                            'studio' => true
                        )
);
?>